Bug 1301331 - [abrt] hawaii-shell: qt_message_fatal(): hawaii killed by SIGABRT
[abrt] hawaii-shell: qt_message_fatal(): hawaii killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawaii-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pier Luigi Fiorini
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:79dc77c9a6e38f8c11195ef6055...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 05:09 EST by mastaiza
Modified: 2016-04-07 11:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: hawaii-shell-0.6.90-0.1.20160228git.fc23 hawaii-shell-0.6.90-0.1.20160228git.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.09 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: core_backtrace (4.72 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: dso_list (9.18 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: environ (1.90 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: maps (42.18 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: mountinfo (3.01 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: open_fds (137 bytes, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details
File: var_log_messages (301 bytes, text/plain)
2016-01-24 05:09 EST, mastaiza
no flags Details

  None (edit)
Description mastaiza 2016-01-24 05:09:07 EST
Version-Release number of selected component:
hawaii-shell-0.6.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        hawaii
crash_function: qt_message_fatal
executable:     /usr/bin/hawaii
global_pid:     1406
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1578
 #3 QMessageLogger::fatal at global/qlogging.cpp:781
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:526
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1019
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1176
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1193
Comment 1 mastaiza 2016-01-24 05:09:14 EST
Created attachment 1117547 [details]
File: backtrace
Comment 2 mastaiza 2016-01-24 05:09:15 EST
Created attachment 1117548 [details]
File: cgroup
Comment 3 mastaiza 2016-01-24 05:09:17 EST
Created attachment 1117549 [details]
File: core_backtrace
Comment 4 mastaiza 2016-01-24 05:09:19 EST
Created attachment 1117550 [details]
File: dso_list
Comment 5 mastaiza 2016-01-24 05:09:21 EST
Created attachment 1117551 [details]
File: environ
Comment 6 mastaiza 2016-01-24 05:09:22 EST
Created attachment 1117552 [details]
File: limits
Comment 7 mastaiza 2016-01-24 05:09:25 EST
Created attachment 1117553 [details]
File: maps
Comment 8 mastaiza 2016-01-24 05:09:26 EST
Created attachment 1117554 [details]
File: mountinfo
Comment 9 mastaiza 2016-01-24 05:09:28 EST
Created attachment 1117555 [details]
File: namespaces
Comment 10 mastaiza 2016-01-24 05:09:30 EST
Created attachment 1117556 [details]
File: open_fds
Comment 11 mastaiza 2016-01-24 05:09:31 EST
Created attachment 1117557 [details]
File: proc_pid_status
Comment 12 mastaiza 2016-01-24 05:09:33 EST
Created attachment 1117558 [details]
File: var_log_messages
Comment 13 Pier Luigi Fiorini 2016-01-27 16:53:44 EST
Does it happen running it on a X11 session?
Was DISPLAY set?

Can you provide the output of:

rpm -qa | grep qt5-
Comment 14 mastaiza 2016-01-27 17:03:00 EST
libfm-qt5-0.10.0-2.fc23.x86_64
qt5-qttools-5.5.1-2.fc23.x86_64
qt5-qtlocation-5.5.1-2.fc23.x86_64
qtsingleapplication-qt5-2.6.1-26.fc23.x86_64
qtlockedfile-qt5-2.4-20.20150629git5a07df5.fc23.x86_64
qt5-qtwayland-5.5.1-2.fc23.x86_64
qt5-qtscript-5.5.1-2.fc23.x86_64
qt5-qtbase-common-5.5.1-11.fc23.noarch
qt5-qtquick1-5.5.1-2.fc23.x86_64
dbusmenu-qt5-0.9.3-0.10.20150604.fc23.x86_64
qt5-qtx11extras-5.5.1-2.fc23.x86_64
qtermwidget-qt5-0.6.0-3.fc23.x86_64
qterminal-qt5-0.6.0-4.fc23.x86_64
qt5-qtbase-5.5.1-11.fc23.x86_64
qt5-qtgraphicaleffects-5.5.1-2.fc23.x86_64
qt5-qttools-common-5.5.1-2.fc23.noarch
qt5-qtwebkit-5.5.1-4.fc23.x86_64
polkit-qt5-1-0.112.0-5.fc23.x86_64
qt5-qtquickcontrols-5.5.1-2.fc23.x86_64
qt5-qtdeclarative-5.5.1-3.fc23.x86_64
qt5-qtbase-gui-5.5.1-11.fc23.x86_64
qt5-qtserialport-5.5.1-2.fc23.x86_64
libkscreen-qt5-5.5.3-1.fc23.x86_64
qt5-qtsvg-5.5.1-2.fc23.x86_64
qt5-qtxmlpatterns-5.5.1-2.fc23.x86_64
qt5-qtsensors-5.5.1-2.fc23.x86_64
 mastaiza  ~  rpm -qa | grep qt5-
libfm-qt5-0.10.0-2.fc23.x86_64
qt5-qttools-5.5.1-2.fc23.x86_64
qt5-qtlocation-5.5.1-2.fc23.x86_64
qtsingleapplication-qt5-2.6.1-26.fc23.x86_64
qtlockedfile-qt5-2.4-20.20150629git5a07df5.fc23.x86_64
qt5-qtwayland-5.5.1-2.fc23.x86_64
qt5-qtscript-5.5.1-2.fc23.x86_64
qt5-qtbase-common-5.5.1-11.fc23.noarch
qt5-qtquick1-5.5.1-2.fc23.x86_64
dbusmenu-qt5-0.9.3-0.10.20150604.fc23.x86_64
qt5-qtx11extras-5.5.1-2.fc23.x86_64
qtermwidget-qt5-0.6.0-3.fc23.x86_64
qterminal-qt5-0.6.0-4.fc23.x86_64
qt5-qtbase-5.5.1-11.fc23.x86_64
qt5-qtgraphicaleffects-5.5.1-2.fc23.x86_64
qt5-qttools-common-5.5.1-2.fc23.noarch
qt5-qtwebkit-5.5.1-4.fc23.x86_64
polkit-qt5-1-0.112.0-5.fc23.x86_64
qt5-qtquickcontrols-5.5.1-2.fc23.x86_64
qt5-qtdeclarative-5.5.1-3.fc23.x86_64
qt5-qtbase-gui-5.5.1-11.fc23.x86_64
qt5-qtserialport-5.5.1-2.fc23.x86_64
libkscreen-qt5-5.5.3-1.fc23.x86_64
qt5-qtsvg-5.5.1-2.fc23.x86_64
qt5-qtxmlpatterns-5.5.1-2.fc23.x86_64
qt5-qtsensors-5.5.1-2.fc23.x86_64
Comment 15 Fedora Update System 2016-03-02 01:37:56 EST
hawaii-workspace-0.6.90-0.1.20160301git.fc22 hawaii-system-preferences-0.6.90-0.1.20160301git.fc22 hawaii-icon-theme-0.6.90-0.1.20160229git.fc22 libhawaii-0.6.90-0.1.20160222git.fc22 hawaii-widget-styles-0.6.90-0.1.20160229git.fc22 hawaii-shell-0.6.90-0.1.20160228git.fc22 greenisland-0.7.90-0.2.20160227git.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9407861569
Comment 16 Fedora Update System 2016-03-02 01:37:58 EST
hawaii-workspace-0.6.90-0.1.20160301git.fc23 hawaii-system-preferences-0.6.90-0.1.20160301git.fc23 hawaii-icon-theme-0.6.90-0.1.20160229git.fc23 libhawaii-0.6.90-0.1.20160222git.fc23 hawaii-widget-styles-0.6.90-0.1.20160229git.fc23 hawaii-shell-0.6.90-0.1.20160228git.fc23 greenisland-0.7.90-0.2.20160227git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bd44c2ec2
Comment 17 Fedora Update System 2016-03-02 17:55:54 EST
greenisland-0.7.90-0.2.20160227git.fc23, hawaii-icon-theme-0.6.90-0.1.20160229git.fc23, hawaii-shell-0.6.90-0.1.20160228git.fc23, hawaii-system-preferences-0.6.90-0.1.20160301git.fc23, hawaii-widget-styles-0.6.90-0.1.20160229git.fc23, hawaii-workspace-0.6.90-0.1.20160301git.fc23, libhawaii-0.6.90-0.1.20160222git.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bd44c2ec2
Comment 18 Fedora Update System 2016-03-02 18:19:55 EST
greenisland-0.7.90-0.2.20160227git.fc22, hawaii-icon-theme-0.6.90-0.1.20160229git.fc22, hawaii-shell-0.6.90-0.1.20160228git.fc22, hawaii-system-preferences-0.6.90-0.1.20160301git.fc22, hawaii-widget-styles-0.6.90-0.1.20160229git.fc22, hawaii-workspace-0.6.90-0.1.20160301git.fc22, libhawaii-0.6.90-0.1.20160222git.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9407861569
Comment 19 Fedora Update System 2016-03-03 15:23:15 EST
greenisland-0.7.90-0.2.20160227git.fc23, hawaii-icon-theme-0.6.90-0.1.20160229git.fc23, hawaii-shell-0.6.90-0.1.20160228git.fc23, hawaii-system-preferences-0.6.90-0.1.20160301git.fc23, hawaii-widget-styles-0.6.90-0.1.20160229git.fc23, hawaii-workspace-0.6.90-0.1.20160301git.fc23, libhawaii-0.6.90-0.1.20160222git.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-04-07 11:49:54 EDT
greenisland-0.7.90-0.2.20160227git.fc22, hawaii-icon-theme-0.6.90-0.1.20160229git.fc22, hawaii-shell-0.6.90-0.1.20160228git.fc22, hawaii-system-preferences-0.6.90-0.1.20160301git.fc22, hawaii-widget-styles-0.6.90-0.1.20160229git.fc22, hawaii-workspace-0.6.90-0.1.20160301git.fc22, libhawaii-0.6.90-0.1.20160222git.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.